import { ViewContainerRef, ComponentFactoryResolver, ComponentRef } from "@angular/core";
export interface ComponentType<T> {
    new (...args: any[]): T;
}
export declare class ComponentView<T> {
    private component;
    private viewContainerRef;
    private componentFactoryResolver;
    private componentRef;
    constructor(_component: ComponentType<T>, _viewContainerRef: ViewContainerRef, _componentFactoryResolver: ComponentFactoryResolver);
    create(params?: {
        [key: string]: any;
    }): void;
    private setParams;
    rootNode(): HTMLElement;
    getComponentRef(): ComponentRef<any>;
    destroy(): void;
}
